Set/override a label or key class (user edits always beat AI)
PUT
/v1/insights/labels
const url = 'https://api.monita.ai/v1/insights/labels';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"kind":"event","vendor":"example","ref":"example","label":"example","class":"customer","color":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/insights/labels \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "kind": "event", "vendor": "example", "ref": "example", "label": "example", "class": "customer", "color": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
kind
required
string
vendor
required
string
ref
required
string
label
string
class
string
color
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}